{
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (pkgs.stdenv.hostPlatform) isDarwin isLinux;
  systemSpecificPackages =
    if isLinux
    # include gping because of open bug
    then [pkgs.zsh pkgs.racket pkgs.gping pkgs.mold]
    else [pkgs.keka];
in {
  imports = [
    ./emacs.nix
    ./git.nix
    ./neovim.nix
    ./starship.nix
    ./zellij.nix
    ./ssh.nix
  ];
  home.packages = with pkgs;
    [
      _1password
      bandwhich
      bat
      bottom
      cargo-workspaces
      clipboard-jh
      colima
      curl
      docker-client
      dogdns
      erdtree
      fd
      ffmpeg_6
      gawkInteractive
      git-credential-1password
      gnugrep
      gnused
      gnutar
      gql
      imagemagick
      internetarchive
      jless
      jq
      just
      kondo
      litecli
      magic-wormhole-rs
      ncdu
      ov
      pandoc
      parallel
      pdm
      poetry
      ripgrep
      rsync
      sqlite
      tmux
      # vscode-fhs
      yt-dlp
      zenith
      # zoom-us
      zstd
    ]
    ++ systemSpecificPackages;
}
